Subject: bug#37333: closed (Re: bug#37333: Org-mode python output not working)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 May 2020 12:14:01 +0000

Your bug report

#37333: Org-mode python output not working

which was filed against the org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37333: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37333
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37333: Org-mode python output not working
From: Bastien <[email-masked]>
To: Michael Wu <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 22 May 2020 14:12:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Michael,

Bastien <[email-masked]> writes:

> I cannot reproduce this bug with latest Org from the master branch.
> If you can, let me know.  Otherwise, I'll close this bug in a month
> or so.

I am closing this bug report now.  If this is still a problem, please
test again latest Org and report it to [email-masked].

-- 
 Bastien

Subject: Org-mode python output not working
From: Michael Wu <[email-masked]>
To: [email-masked]
Date: Sat, 7 Sep 2019 13:19:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

In the following block:

#+BEGIN_SRC python :results value :session
def f():
    return 5
f()
#+END_SRC

It gives the message

"Code block returned no value"

when trying to run it. This is clearly not intended behavior, as

#+BEGIN_SRC python :results value :session
def f():
    return 5
f()
10
#+END_SRC

#+RESULTS:
: 10

works perfectly fine. Does anyone else have this issue?